Bug 7459 - perl DBD package not included for postgresql, and latest package is broken
perl DBD package not included for postgresql, and latest package is broken
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: postgresql (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-30 19:09 EST by doom
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-12 10:45:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description doom 1999-11-30 19:09:23 EST
(1) The perl DBD module is not included with the RedHat distribution
for postgresql.  I'm sure there are people there who regard this as
a non-issue, but I'd argue that postgres is incomplete without it.
Very few people messing with postgresql are going to be happy using
it standalone via pgaccess, and perl is arguably the most popular
database interface language at the moment.  Integrating the pieces that
people are likely to want to use is what distributions are about, right?

(2) As I understand it, the latest available RPM for this
is way out of date, compiled against the libpq.so.1 library in use
for postgresql 6.3, which was included with RedHat 5.x.
I'm refering to perl-DBD-Pg-0.91-1.i386.rpm, which was packaged by
Ian Macdonald <ianmacd@xs4all.nl>.

Once again, I'm sure some people's first reaction is "not our problem",
but that brings us back to point (1).  (2) might not have fallen
through the cracks if not for (1).

In any case, both Ian Macdonald <ianmacd@xs4all.nl> and Lamar Owen
<lamar.owen@wgcr.org> (who has been handing the postgresql RPM
of late) have been notified of the problem.
Comment 1 Lamar Owen 1999-11-30 21:22:59 EST
The latest perl-DBD-Pg rpm is available on the RedHat PowerTools collection CPAN
archive, mirrored at rufus.w3.org and others in
'powertools/CPAN/CPAN_rev.2/i386', as posted to the postgresql-hackers mailing
list by Ian MacDonald (many thanks, Ian!).  The rpmfind.net web interface does
not show the CPAN archive, unfortunately.

perl-DBI and perl-DBD are not part of postgresql proper, and thus are not
included in the postgresql RPM's.  Why they weren't included in RedHat proper is
a question that I cannot answer.

However, the postgresql-perl package does provide a perl client, although it is
not the DBI/DBD one.

--
Lamar Owen
WGCR Internet Radio
Comment 2 Jeff Johnson 2000-01-12 10:45:59 EST
This problem appears to be resolved.

Note You need to log in before you can comment on or make changes to this bug.